Skip Menu |
 

This queue is for tickets about the Net-SecurityCenter CPAN distribution.

Report information
The Basics
Id: 130874
Status: resolved
Worked: 30 min
Priority: 0/
Queue: Net-SecurityCenter

People
Owner: GDT [...] cpan.org
Requestors: SREZIC [...] cpan.org
Cc:
AdminCc:

Bug Information
Severity: (no value)
Broken in: 0.200
Fixed in: 0.204



Subject: "any" is not exported by the List::Util module
Download (untitled) / with headers
text/plain 1.3k
The test suite fails if an older version of List::Util is installed (so probably minimum prereq version has to be adjuste): ... # Failed test 'require Net::SecurityCenter;' # at t/00-load.t line 7. # Tried to require 'Net::SecurityCenter'. # Error: "any" is not exported by the List::Util module # Can't continue after import errors at /home/cpansand/.cpan/build/2019103014/Net-SecurityCenter-0.203-NMmWnF/blib/lib/Net/SecurityCenter/API/Scan.pm line 8. # BEGIN failed--compilation aborted at /home/cpansand/.cpan/build/2019103014/Net-SecurityCenter-0.203-NMmWnF/blib/lib/Net/SecurityCenter/API/Scan.pm line 8. # Compilation failed in require at /home/cpansand/.cpan/build/2019103014/Net-SecurityCenter-0.203-NMmWnF/blib/lib/Net/SecurityCenter.pm line 18. # Compilation failed in require at (eval 4) line 2. # Failed test 'require Net::SecurityCenter::API::Scan;' # at t/00-load.t line 20. # Tried to require 'Net::SecurityCenter::API::Scan'. # Error: Attempt to reload Net/SecurityCenter/API/Scan.pm aborted. # Compilation failed in require at (eval 109) line 2. Use of uninitialized value $Net::SecurityCenter::VERSION in concatenation (.) or string at t/00-load.t line 29. # Net::SecurityCenter , Perl 5.016003, /usr/bin/perl # Looks like you failed 2 tests of 18. t/00-load.t ....... Dubious, test returned 2 (wstat 512, 0x200) Failed 2/18 subtests ...
Fixed in 0.204 release. Thanks :) Joseph


This service is sponsored and maintained by Best Practical Solutions and runs on Perl.org infrastructure.

Please report any issues with rt.cpan.org to rt-cpan-admin@bestpractical.com.